#include <bits/stdc++.h>
using namespace std;

int main() {
    long long n, a[100007], res=0, cur=-99999, cnt=0, cnt1=0;
    cin>>n;
    for(int i=1; i<=n; i++){
        cin>>a[i];
    }
    for(int i=n; i>=1; i--){

        if(a[i]==cur){
            cnt1+=1;
            if(a[i]-cnt+cnt1>0){
                res+=a[i]-cnt+cnt1;
            }
            else{
                break;
                i=0;
            }

            cnt+=1;
        }
        else{
            cnt1=0;
            if(a[i]-cnt>0){
                res+=a[i]-cnt;

            }
            else{
                break;
                i=0;
            }


            cur=a[i];
            cnt+=1;
        }



    }
    cout<<res;


}